|  | Home · All Classes · Modules

# QXmlStreamEntityDeclaration Class Reference
[QtCore module]

The QXmlStreamEntityDeclaration class represents a DTD entity declaration. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlStreamEntityDeclaration)
- QStringRef name (self)
- QStringRef notationName (self)
- QStringRef publicId (self)
- QStringRef systemId (self)
- QStringRef value (self)

### Special Methods

- bool __eq__ (self, QXmlStreamEntityDeclaration)
- bool __ne__ (self, QXmlStreamEntityDeclaration)

## Detailed Description

The QXmlStreamEntityDeclaration class represents a DTD entity declaration.

An entity declaration consists of a name(), a notationName(), a systemId(), a publicId(), and a value().

## Method Documentation

### QXmlStreamEntityDeclaration.__init__ (self)

Creates an empty entity declaration.

### QXmlStreamEntityDeclaration.__init__ (self, QXmlStreamEntityDeclaration)

Creates a copy of other.

### QStringRef QXmlStreamEntityDeclaration.name (self)

Returns the entity name.

### QStringRef QXmlStreamEntityDeclaration.notationName (self)

Returns the notation name.

### QStringRef QXmlStreamEntityDeclaration.publicId (self)

Returns the public identifier.

### QStringRef QXmlStreamEntityDeclaration.systemId (self)

Returns the system identifier.

### QStringRef QXmlStreamEntityDeclaration.value (self)

Returns the entity's value.

### bool QXmlStreamEntityDeclaration.__eq__ (self, QXmlStreamEntityDeclaration)

### bool QXmlStreamEntityDeclaration.__ne__ (self, QXmlStreamEntityDeclaration)